Description: Fix invalid transaction counters reported in firebird.log during
 sweep
Bug: http://tracker.firebirdsql.org/browse/CORE-3978
Origin: upstream, http://sourceforge.net/p/firebird/code/57349/
--- a/src/jrd/tra.cpp
+++ b/src/jrd/tra.cpp
@@ -3649,7 +3649,7 @@ TraceSweepEvent::TraceSweepEvent(thread_
 
 	gds__log("Sweep is started by %s\n"
 		"\tDatabase \"%s\" \n"
-		"\tOIT %ld, OAT %ld, OST %ld, Next %ld",
+		"\tOIT %"SLONGFORMAT", OAT %"SLONGFORMAT", OST %"SLONGFORMAT", Next %"SLONGFORMAT,
 		att->att_user->usr_user_name.c_str(),
 		att->att_filename.c_str(),
 		m_sweep_info.getOIT(),
@@ -3736,7 +3736,7 @@ void TraceSweepEvent::report(ntrace_proc
 	{
 		gds__log("Sweep is finished\n"
 			"\tDatabase \"%s\" \n"
-			"\tOIT %ld, OAT %ld, OST %ld, Next %ld",
+			"\tOIT %"SLONGFORMAT", OAT %"SLONGFORMAT", OST %"SLONGFORMAT", Next %"SLONGFORMAT,
 			att->att_filename.c_str(),
 			m_sweep_info.getOIT(),
 			m_sweep_info.getOAT(),
